package com.vendor.burn.transportWorks;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.Messages;
import com.vendor.burn.model.TransferWay;
import com.vendor.burn.model.define.IBurner;
import com.vendor.burn.model.devices.IFrameSetting;
import com.vendor.burn.model.receive.ReceiveTimeOutException;
import com.vendor.burn.model.struct.XmodelParameter;
import com.vendor.burn.serial.workers.CallLibUSBWorker;
import com.vendor.burn.transportWorks.AbstractTransportWorker;
import java.io.File;
import java.io.IOException;
import org.eclipse.core.runtime.SubMonitor;

public class UsbTransportWorker extends AbstractTransportWorker {
  public UsbTransportWorker(IFrameSetting frameSetting, IBurner burner) {
    super(frameSetting, burner);
  }
  
  public boolean downloadFileByTransport(SubMonitor subProgressMonitor, XmodelParameter xmodelPar, File partfile, int progressWork) throws IOException, ReceiveTimeOutException {
    TransferWay transferWay = this.burner.getBurnContext().getTransferWay();
    infoln("\nSend command:\tDownloading File : " + partfile.getName());
    if (CallLibUSBWorker.downloadFileByUsb(partfile, getHexStartAddressForInt(), transferWay)) {
      subProgressMonitor.worked(progressWork);
      return true;
    } 
    returnError(Messages.ERROR_INFO_USB_DOWNLOAD_FAILED);
    return false;
  }
}
